How to de-snap Xubuntu 22.10

Snap uses loopback devices for applications it installs. These can cause a device or resource busy error if loopback device is also used for encrypted container files due to conflict. To cut a long story short, I decided to completely de-snap Xubuntu. This involves complete removal of snap. Below are the steps done in a … Continue reading How to de-snap Xubuntu 22.10

How to override default navbar link colors of Bootstrap 5 to custom color

How much ever I tried to change the color of the navbar links in Bootstrap 5, it never did the change. To do the change, the following had to be done in the CSS stylesheet file. .nav-link { color: #dfb97c !important; } !important allows the default color given by Bootstrap 5 to be overridden by … Continue reading How to override default navbar link colors of Bootstrap 5 to custom color

How to work with flatpak on Linux Mint or Linux

Flatpak is a relatively new way of managing Linux packages. The basic commands of Flatpak are given below. To list flatpaks, use the below command in a terminal window: $ sudo flatpak list <enter> It will display the following output:Name Application ID Version Branch InstallationMint-Y Gtk Theme org.gtk.Gtk3theme.Mint-Y 3.22 systemMint-Y-Aqua Gtk Theā€¦ org.gtk.Gtk3theme.Mint-Y-Aqua 3.22 system … Continue reading How to work with flatpak on Linux Mint or Linux

How to fix global nodemon node package install error on Linux

To install nodemon globally on Linux, below command:$ npm install -g nodemon <enter> will not work as it requires root privileges. If it is installed with :$ sudo npm install -g nodemon <enter> it will install on the local machine in the root folders. If we do not want to install it globally on our … Continue reading How to fix global nodemon node package install error on Linux

How to fix issue if autocomplete or intellisense does not work in vscode for express.js

If the below line is used in the javascript code:const express = require(express); then autocomplete / intellisense will not work. It will not display the relevant methods as shown in the image below. This is the correct code to use:const express = require("express"); The quotation marks make the difference and the following image shows the … Continue reading How to fix issue if autocomplete or intellisense does not work in vscode for express.js

How to install node.js on Linux Mint or Ubuntu Linux

To install node.js for LinuxMint Vera (21.1) or Ubuntu, do followingVisit https://github.com/nodesource/distributions#deb Follow the instructions to install the .deb file on your system at https://github.com/nodesource/distributions#debinstall. Open a linux terminal window and enter the following: $ curl -fsSL https://deb.nodesource.com/setup_18.x | sudo -E bash - &&\sudo apt-get install -y nodejs <enter> It will now install node.js on … Continue reading How to install node.js on Linux Mint or Ubuntu Linux

Moving from Atom to Visual Studio Code and it’s extensions on Linux

Application developers would rely on Atom code editor to create code for a while now. However, Atom code editor is now sunset per this https://github.blog/2022-06-08-sunsetting-atom/. The option left now is to migrate to another code editor. And one of the best out there is Visual Studio Code (vscode). Since most of the work I do … Continue reading Moving from Atom to Visual Studio Code and it’s extensions on Linux